Package org.springframework.beans.propertyeditors

# Class UUIDEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.UUIDEditor

All Implemented Interfaces:
  `PropertyEditor`

public class UUIDEditor extends PropertyEditorSupport
Editor for `java.util.UUID`, translating UUID String representations into UUID objects and back.

Since:
  3.0.1
Author:
  Juergen Hoeller
See Also:
  - `UUID`

## Constructor Summary

Constructors
Constructor
Description
`UUIDEditor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UUIDEditor

public UUIDEditor()

## Method Details

### setAsText

public void setAsText(String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`